Bug 461931 - RFE: storage: provide a capabilities API to list volume formats, APIs, etc
Summary: RFE: storage: provide a capabilities API to list volume formats, APIs, etc
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Virtualization Tools
Classification: Community
Component: libvirt
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Libvirt Maintainers
QA Contact:
URL:
Whiteboard:
Depends On: 461925
Blocks: libvirtTodoStorage
TreeView+ depends on / blocked
 
Reported: 2008-09-11 14:20 UTC by Daniel Berrangé
Modified: 2019-06-16 15:11 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-16 15:11:53 UTC


Attachments (Terms of Use)

Description Daniel Berrangé 2008-09-11 14:20:57 UTC
+++ This bug was initially created as a clone of Bug #461925 +++

Created an attachment (id=316444)
Screenshot

Description of problem:

Error occured while creating a bochs storage volume in a directory storage pool.


Version-Release number of selected component (if applicable):

libvirt-0.4.5-2.fc10.i386
virt-manager-0.6.0-1.fc10.i386
qemu-0.9.1-10.fc10.i386


How reproducible:
100%

Steps to Reproduce:
1. Create a 'dir' storage pool
2. Create a 'bochs' storage volume of max/alloc == 2000/2000
  
Actual results:
Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/createvol.py", line 191, in _async_vol_create
    poolobj = self.vol.install(meter=meter)
  File "/usr/lib/python2.5/site-packages/virtinst/Storage.py", line 893, in install
    (self.name, str(e)))
RuntimeError: Couldn't create storage volume 'virt-stor-dir-bochs.img': '/usr/bin/qemu-img exited with non-zero status 1 and signal 0'


Expected results:
no traceback

Additional info:

* See attached screenshot. 
* Please advise if additional information/logfiles are needed.

Comment 1 Daniel Berrangé 2008-09-11 14:23:40 UTC
The qemu-img tool supports lots of metadata formats for volumes, but not all of these allow for creation. Somehow the libvirt storage driver needs to declare what capabilities it has. This should include all the pool types it supports, and the supported  volume formats, and probably a few other bits of info too. This would allow virt-manager to not offer 'bochs' as an option for creation unless it was actually supported by libvirt & qemu-img.

Comment 2 Bug Zapper 2008-11-26 03:02:19 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Cole Robinson 2019-06-16 15:11:53 UTC
This is upstream nowadays. It reports supported pool types and vol types

commit 6696155ae61446019f6bcf65ff8643a6b90ce688
Author: John Ferlan <jferlan@redhat.com>
Date:   Thu Feb 7 12:02:25 2019 -0500

    libvirt: Introduce virConnectGetStoragePoolCapabilities


Note You need to log in before you can comment on or make changes to this bug.